# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/00_evaluate.ipynb.

# %% auto 0
__all__ = ['evaluate_bvs_scores']

# %% ../nbs/00_evaluate.ipynb 3
import pandas as pd
from .metrics import ks_score
from sklearn.metrics import roc_auc_score

def evaluate_bvs_scores(
        df: pd.DataFrame,                    # The dataframe containing BVS scores 
        target: str = 'PERF_MERC_60D6M_EVER' # The target variable
) -> pd.DataFrame:
    """Evaluate BVS scores against a target variable."""

    scores = df.filter(regex='SCRCRD').columns.tolist()
    results_auc = []
    results_ks = []
    for score in scores:
        results_auc.append(roc_auc_score(df[target], (1000-df[score]) / 1000))
        results_ks.append(ks_score(df[target], (1000-df[score]) / 1000))
    
    df = pd.DataFrame({'score': scores, 'auc': results_auc, 'ks': results_ks})
    df = df.sort_values(by='auc', ascending=False)
    df = df.reset_index(drop=True)
    return df
