# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/03_ratings.ipynb.

# %% auto 0
__all__ = ['get_ratings']

# %% ../nbs/03_ratings.ipynb 3
import pandas as pd
from IPython import display as icd
from optbinning import OptimalBinning

def get_ratings(
        df: pd.DataFrame, # The dataframe containing BVS scores
        target: str,      # The target variable
        score: str,       # The BVS score to be rated
) -> pd.DataFrame:
    """Get ratings for a BVS score."""
    opt = OptimalBinning(name=score, dtype="numerical", solver="cp").fit(df[score], df[target])
    df_rating = opt.binning_table
    icd.display(df_rating.build())
    df_rating.plot(metric="event_rate")
    return df_rating.build()
