# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/02_validate.ipynb.

# %% auto 0
__all__ = ['remove_restritivos', 'target_mapping']

# %% ../nbs/02_validate.ipynb 3
import pandas as pd

def remove_restritivos(
      df: pd.DataFrame # The dataframe enriched by BVS. Should have the FLAG_RESTRITIVO column
) -> pd.DataFrame:
   """Remove restritivos from the dataframe."""
   df = df[df.FLAG_RESTRITIVO == 0].copy()
   return df

# %% ../nbs/02_validate.ipynb 4
def target_mapping(
      df,                            # The dataframe enriched by BVS
      target='PERF_MERC_60D6M_EVER', # The target variable
      map_dict={'BOM': 0, 'MAU': 1}  # The mapping dictionary
) -> pd.DataFrame:
   """Map the target variable."""
   df[target] = df[target].map(map_dict)
   return df
